ic-206 El Capitan sort ce mercredi, mais la nouvelle version d’OS X ne fonctionne pas – comme Yosemite – sur les Mac anciens, 32-bit, antérieurs aux Core2Duo. Voici la liste des machines officellement compatibles :

  • iMac : Mid 2007 et plus récent
  • MacBook : Aluminium Late 2008 ; Early 2009 et plus récent
  • MacBook Air : Late 2008 et plus récent
  • MacBook Pro : 13-inch, Mid 2009 et plus récent ; 15-inch, Mid/Late 2007 et plus récent ; 17-inch, Late 2007 et plus récent
  • Mac Mini : Early 2009 et plus récent
  • Mac Pro : Early 2008 et plus récent
  • Xserve : Early 2009

    Vous remarquerez de suite que les MacPro anciens, en aluminium, ne figurent pas dans cette liste alors qu’ils ont la puissance et l’extensibilité requise pour s’adapter. L’intérêt sur les autres machines est nettement moins évident, elles sont limitées en puissance CPU et en RAM. Mais, logiquement, cette bidouille fonctionne aussi pour eux.

    Qu’à cela ne tienne, Pike R. Alpha a mis à jour son macosxbootloader qui permet de forcer le fonctionnement de El Capitan sur les machines 32-bit non, supportées. Le logiciel se télécharge sur la page GitHub du projet (et uniquement là !), soit en version déjà compilée, soit à compiler directement.

    L’installation est un brin complexe, évidemment, modifier le boot.efi n’est pas à la portée de tout le monde :

  • il faut d’abord installer El Capitan sur le Mac non supporté mis en mode Target, ou directement sur son disque dur extrait et monté dans une machine compatible.
  • Puis remplacer dans /usr/standalone/i386 et /System/Library/CoreServices/ le fichier Apple EFI64 boot.efi par le fichier modifié (sauvegardez l’ancien avant de l’écraser, bien sûr).
  • Enfin réparer les autorisations sur le volume, qui est alors bootable sur le Mac non supporté.

8 COMMENTAIRES

  1. Bonjour,
    Je suis bloqué à l’étape de copie du fichier boot.ini dans le second répertoire (/System/Library/CoreServices/), le terminal me retourne que je n’ai pas les droits. j’ai fait cette manip avec le terminal bash du cd d’install d’OSX 10.4.7.
    Si quelqu’un peut m’aider car pour l’instant mon mac HS.
    Merci

  2. Bonsoir,

    Le « operation not permitted » indique une commande « sudo » non comprise par le système.
    Le mot de passe demandé ne s’affiche pas lors de la frappe, il faut frapper à l’aveugle puis entrer la touche « entrée ».
    Essayez avec un « sudo » devant la commande (avec une espace entre les deux) « cp » pour autoriser la copie des fichiers.

À vous la parole !

Fermer
*
*

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.